<?php

add_filter( 'builder_layout_engine_get_available_views', 'it_set_available_views' );

function it_set_available_views( $views ) {
	$new_views = array(
		'is_home||is_front_page' => array(
			'name'			=> 'Home',
			'priority'		=> '1',
			'description'	=> 'The front page or home of your site',
		),
		'is_singular'	=> array(
			'name'			=> 'Singular',
			'priority'		=> '1',
			'description'	=> 'Any post, page, or attachment',
		),
		'is_single'		=> array(
			'name'			=> 'Post',
			'priority'		=> '2',
			'description'	=> 'Any post',
		),
		'is_page'		=> array(
			'name'			=> 'Page',
			'priority'		=> '2',
			'description'	=> 'Any page',
		),
		'is_attachment'	=> array(
			'name'			=> 'Attachment',
			'priority'		=> '3',
			'description'	=> 'Any attachment (image or other attached file)',
		),
		'is_archive'	=> array(
			'name'			=> 'Archives',
			'priority'		=> '1',
			'description'	=> 'Any archive view (category, tag, author, or date)',
		),
		'is_category'	=> array(
			'name'			=> 'Category',
			'priority'		=> '2',
			'description'	=> 'Any category archive view',
		),
		'is_tag'		=> array(
			'name'			=> 'Tag',
			'priority'		=> '2',
			'description'	=> 'Any tag archive view',
		),
		'is_author'		=> array(
			'name'			=> 'Author',
			'priority'		=> '2',
			'description'	=> 'Any author archive view',
		),
		'is_date'		=> array(
			'name'			=> 'Date Archive',
			'priority'		=> '2',
			'description'	=> 'Any date-specific view (such as year, month, or day)',
		),
		'is_search'		=> array(
			'name'			=> 'Search',
			'priority'		=> '1',
			'description'	=> 'A search result page',
		),
		'is_404'		=> array(
			'name'			=> '404',
			'priority'		=> '1',
			'description'	=> 'The "Page Not Found" error page',
		),
	);
	
	return array_merge( $views, $new_views );
}

?>
