<?php

/*
Written by Chris Jean for iThemes.com
Version 2.1.1

Version History
	See history.txt
*/



if ( ! class_exists( 'LayoutModuleNavigation' ) ) {
	class LayoutModuleNavigation extends LayoutModule {
		var $_name = 'Navigation';
		var $_var = 'navigation';
		var $_description = 'This module adds a horizontal navigation bar. Category and Page navigations are available.';
		var $_editor_width = 300;
		var $_has_sidebars = false;
		
		
		function get_layout_option() {
			return 'type';
		}
		
		function get_defaults() {
			return array(
				'type'		=> 'pages',
			);
		}
		
		function validate() {
			return true;
		}
		
		function _start_table_edit( $form, $results = true ) {
			$types = array(
					'pages'			=> 'Pages',
					'categories'	=> 'Categories',
			);
			
?>
	<tr><td><label for="type">Navigation Type</label></td>
		<td><?php $form->add_drop_down( 'type', $types ); ?></td>
	</tr>
<?php
			
		}
		
		function _modify_module_inner_wrapper_fields( $fields ) {
			$fields['attributes']['class'][] = "{$fields['class_prefix']}-navigation-{$this->_data['type']}";
			
			return $fields;
		}
		
		function _render( $fields ) {
			global $wp_theme_options;
			
			$data = $fields['data'];
			
?>
	<ul>
		<?php if ( 'pages' === $data['type'] ) : ?>
			<?php if ( in_array( 'home', (array) $wp_theme_options['include_pages'] ) ) : ?>
				<li class="home <?php if ( is_home() ) { echo 'current_page_item'; } ?>"><a href="<?php echo get_option( 'home' ); ?>">Home</a></li>
			<?php endif; ?>
			
			<?php if ( in_array( 'site_name', (array) $wp_theme_options['include_pages'] ) ) : ?>
				<li class="site-name <?php if ( is_home() ) { echo 'current_page_item'; } ?>"><a href="<?php echo get_option( 'home' ); ?>"><?php echo bloginfo( 'name' ); ?></a></li>
			<?php endif; ?>
			
			<?php if ( ! empty( $wp_theme_options['include_pages'] ) ) : ?>
				<?php $include = implode( ',', (array) $wp_theme_options['include_pages'] ); ?>
				<?php $my_pages = "title_li=&depth=0&include=$include"; ?>
				<?php wp_list_pages( $my_pages ); ?>
			<?php endif; ?>
		<?php elseif ( 'categories' === $data['type'] ) : ?>
			<?php if ( ! empty( $wp_theme_options['include_cats'] ) ) : ?>
				<?php $include = implode( ',', (array) $wp_theme_options['include_cats'] ); ?>
				<?php $my_cats = "title_li=&depth=0&include=$include"; ?>
				<?php wp_list_categories( $my_cats ); ?>
			<?php endif; ?>
		<?php endif; ?>
	</ul>
<?php
			
		}
	}
	
	new LayoutModuleNavigation();
}




?>
